Skip to main content
GET
/
v1
/
tokens
/
{tokenAddress}
Search for a token by address across multiple chains.
curl --request GET \
  --url https://api.hydric.org/v1/tokens/{tokenAddress} \
  --header 'Authorization: Bearer <token>'
{
  "tokens": [
    {
      "chainId": 1,
      "address": "0x0000000000000000000000000000000000000000",
      "decimals": 18,
      "name": "Ether",
      "symbol": "ETH",
      "logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh

Path Parameters

tokenAddress
string
required

The Token contract address to search for.

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

Query Parameters

chainIds
string

Optional list of chain IDs to restrict the lookup to.

Example:

"1,143"

Response

200 - application/json

Tokens found at the specified address.

tokens
object[]
required

List of tokens found at this address across different chains.

Example:
[
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
}
]